
AddCSLuaFile( "shared.lua" )

SWEP.Category 		= "HL2 Beta Weapons"
SWEP.PrintName		= "OICW"	
SWEP.Author		= "Valve - SWEP by Airslide"
SWEP.Contact		= "airslidegames@gmail.com"
SWEP.Purpose		= "Kill things."
SWEP.Instructions	= "Aquire and kill things."

SWEP.ViewModelFOV	= 55
SWEP.ViewModelFlip	= false
SWEP.ViewModel		= "models/weapons/v_oicw.mdl"
SWEP.WorldModel		= "models/weapons/w_oicw.mdl"
SWEP.AnimPrefix		= "ar2"
SWEP.HoldType		= "ar2"

SWEP.Spawnable			= true
SWEP.AdminSpawnable		= true
SWEP.Slot			= 2

SWEP.Primary.ClipSize		= 30			// Size of a clip
SWEP.Primary.DefaultClip	= 90			// Default number of bullets in a clip
SWEP.Primary.Automatic		= true			// Automatic/Semi Auto
SWEP.Primary.Delay		= 0.2
SWEP.Primary.Ammo		= "SMG1"

SWEP.Secondary.ClipSize		= -1			// Size of a clip
SWEP.Secondary.DefaultClip	= -1			// Default number of bullets in a clip
SWEP.Secondary.Automatic	= false			// Automatic/Semi Auto
SWEP.Secondary.Ammo		= "SMG1"

Zoom = 0

/*---------------------------------------------------------
	Initialize
---------------------------------------------------------*/
function SWEP:Initialize()

end

/*---------------------------------------------------------
	Holster
---------------------------------------------------------*/
function SWEP:Holster()
	self.Owner:SetFOV( 0, 0.25 )
	Zoom = 0

	return true
end



/*---------------------------------------------------------
	Reload
---------------------------------------------------------*/
function SWEP:Reload()
	if self:DefaultReload( ACT_VM_RELOAD ) then 
		if(SERVER) then
			self.Owner:SetFOV( 0, 0.25 )
			Zoom = 0
		end
		self:EmitSound(Sound("weapons/oicw/ar2_reload.wav")) 
	end
end


/*---------------------------------------------------------
   Think
---------------------------------------------------------*/
function SWEP:Think()
end


/*---------------------------------------------------------
	PrimaryAttack
---------------------------------------------------------*/
function SWEP:PrimaryAttack()

	// Make sure we can shoot first
	if ( !self:CanPrimaryAttack() ) then return end

	//Set Delay and Fire
	if (Zoom == 0 || self:Clip1() < 2 ) then
		// Shoot 1 bullet, 10 damage, 0.07 aimcone
		self:ShootBullet( 10, 1, 0.025 )
		// Delay Attack
		self.Weapon:SetNextPrimaryFire( CurTime() + 0.09 )
		// Play shoot sound
		self:EmitSound( Sound("weapons/oicw/ar2_fire1.wav") )
		// Remove 1 bullet from our clip
		self:TakePrimaryAmmo( 1 )
	else
		// Delay Attack
		self.Weapon:SetNextPrimaryFire( CurTime() + 0.25 )
		// Shoot 1 bullet, 60 damage, 0.01 aimcone
		self:ShootBullet( 15, 2, 0.005 )
		// Play shoot sound
		self:EmitSound( Sound("weapons/oicw/ar2_fire3.wav") )
		// Remove 2 bullets from our clip
		self:TakePrimaryAmmo( 2 )
	end
	
end

/*---------------------------------------------------------
	SecondaryAttack
---------------------------------------------------------*/
function SWEP:SecondaryAttack()

	if(Zoom == 0) then
		if(SERVER) then
			self.Owner:SetFOV( 35, 0.25 )
		end
		self:EmitSound("Weapon_AR2.Special1")
		Zoom = 1
	else
		if(SERVER) then
			self.Owner:SetFOV( 0, 0.25 )
		end
		self:EmitSound("Weapon_AR2.Special2")
		Zoom = 0
	end
end

// Add to Weapon List
list.Set("NPCWeapons","weapon_oicw","OICW");

// These tell the NPC how to use the weapon
AccessorFunc( SWEP, "fNPCMinBurst", 	2 )
AccessorFunc( SWEP, "fNPCMaxBurst", 	5 )
AccessorFunc( SWEP, "fNPCFireRate", 	0.08 )
AccessorFunc( SWEP, "fNPCMinRestTime", 	1 )
AccessorFunc( SWEP, "fNPCMaxRestTime", 	2 )

/*---------------------------------------------------------
	Capabilities
---------------------------------------------------------*/
function SWEP:GetCapabilities()

	return CAP_WEAPON_RANGE_ATTACK1 | CAP_INNATE_RANGE_ATTACK1

end