
AddCSLuaFile( "shared.lua" )

SWEP.Category 		= "HL2 Beta Weapons"
SWEP.PrintName		= "Sniper Rifle"	
SWEP.Author		= "Valve - SWEP by Airslide"
SWEP.Contact		= "airslidegames@gmail.com"
SWEP.Purpose		= "Kill things."
SWEP.Instructions	= "Aquire and kill things."

SWEP.ViewModelFOV	= 55
SWEP.ViewModelFlip	= false
SWEP.ViewModel		= "models/weapons/v_sniper.mdl"
SWEP.WorldModel		= "models/weapons/w_sniper.mdl"
SWEP.AnimPrefix		= "ar2"
SWEP.HoldType		= "ar2"

SWEP.Spawnable			= true
SWEP.AdminSpawnable		= true
SWEP.Slot			= 3

SWEP.Primary.ClipSize		= 1			// Size of a clip
SWEP.Primary.DefaultClip	= 5			// Default number of bullets in a clip
SWEP.Primary.Automatic		= false			// Automatic/Semi Auto
SWEP.Primary.Delay		= 0.2
SWEP.Primary.Ammo		= "357"

SWEP.Secondary.ClipSize		= -1			// Size of a clip
SWEP.Secondary.DefaultClip	= -1			// Default number of bullets in a clip
SWEP.Secondary.Automatic	= false			// Automatic/Semi Auto
SWEP.Secondary.Ammo		= "SMG1"

Zoom = 0

/*---------------------------------------------------------
	Initialize
---------------------------------------------------------*/
function SWEP:Initialize()

end

/*---------------------------------------------------------
	Holster
---------------------------------------------------------*/
function SWEP:Holster()
	self.Owner:SetFOV( 0, 0.25 )
	Zoom = 0

	return true
end



/*---------------------------------------------------------
	Reload
---------------------------------------------------------*/
function SWEP:Reload()
	if self:DefaultReload( ACT_VM_RELOAD ) then 
		if(SERVER) then
			self.Owner:SetFOV( 0, 0.25 )
			Zoom = 0
		end
		self:EmitSound(Sound("weapons/sniper/sniper_reload.wav")) 
	end
end


/*---------------------------------------------------------
   Think does nothing
---------------------------------------------------------*/
function SWEP:Think()	
end


/*---------------------------------------------------------
	PrimaryAttack
---------------------------------------------------------*/
function SWEP:PrimaryAttack()

	// Make sure we can shoot first
	if ( !self:CanPrimaryAttack() ) then return end

	// Play shoot sound
	self:EmitSound( Sound("weapons/sniper/sniper_fire.wav") )
	
	// Remove 1 bullet from our clip
	self:TakePrimaryAmmo( 1 )

	//Set Delay and Fire
	if (Zoom == 0) then
		// Shoot 1 bullet, 10 damage, 0.07 aimcone
		self:ShootBullet( 50, 1, 0.09 )
	else
		// Shoot 1 bullet, 60 damage, 0.01 aimcone
		self:ShootBullet( 90, 1, 0.0005 )
	end
	
end

function SWEP:ShootBullet( damage, num_bullets, aimcone )

	local bullet = {}
	bullet.Num = num_bullets
	bullet.Src = self.Owner:GetShootPos() // Source
	bullet.Dir = self.Owner:GetAimVector() // Dir of bullet
	bullet.Spread = Vector( aimcone, aimcone, 0 ) // Aim Cone
	bullet.Tracer = 1 // Show a tracer on every x bullets
	bullet.Force = 1 // Amount of force to give to phys objects
	bullet.Damage = damage
	bullet.AmmoType = "357"

	self.Owner:FireBullets( bullet )

	self:ShootEffects()

end 

/*---------------------------------------------------------
	SecondaryAttack
---------------------------------------------------------*/
function SWEP:SecondaryAttack()

	if(Zoom == 0) then
		if(SERVER) then
			self.Owner:SetFOV( 25, 0.25 )
		end
		self:EmitSound("Weapon_AR2.Special1")
		Zoom = 1
	else
		if(SERVER) then
			self.Owner:SetFOV( 0, 0.25 )
		end
		self:EmitSound("Weapon_AR2.Special2")
		Zoom = 0
	end

end

// Add to Weapon List
list.Set("NPCWeapons","weapon_sniper","Sniper");

// These tell the NPC how to use the weapon
AccessorFunc( SWEP, "fNPCMinBurst", 	1 )
AccessorFunc( SWEP, "fNPCMaxBurst", 	1 )
AccessorFunc( SWEP, "fNPCFireRate", 	0.08 )
AccessorFunc( SWEP, "fNPCMinRestTime", 	1 )
AccessorFunc( SWEP, "fNPCMaxRestTime", 	2 )

/*---------------------------------------------------------
	Capabilities
---------------------------------------------------------*/
function SWEP:GetCapabilities()

	return CAP_WEAPON_RANGE_ATTACK1 | CAP_INNATE_RANGE_ATTACK1

end